{% extends 'base.html' %}

{% block content %}

<main>
    <div>
        <h1>My Tasks</h1>

        {% if not tasks %}
            <p>You have no tasks</p>
        {% else %}
            <table>
                <thead>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                </thead>
                <tbody>
                    {% for task in tasks %}
                        <tr>
                            <td>{{ task.name }} </td>
                            <td>{{ task.start_date}} </td>
                            <td>{{ task.due_date }} </td>
                            <td>{{ task.is_completed|yesno:"Done,no" }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
</main>
{% endblock content %}

